<?
include_once '../../sys/fnc.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';	
$title = 'Массовая рассылка';
include_once '../../sys/head.php';
if (!isset($user) || $user->position != 'admin') {
    header('location: /');
    exit;
}
if (isset($_POST['save']) && isset($_POST['msg']))
{

if($_POST['to'] == 'mod'){
$filter =  "AND `position` = 'mod'";
} else $filter = '';

if($_POST['to'] == 'adm'){
$filter =  "AND `position` = 'admin'";
} else $filter = '';

$msg = $_POST['msg'];
if (strlen($msg)>1024){
$error = true;
$errort .= '<div class="err">Сообщение превышает 1024 символа</div>';
}elseif (strlen($msg)<2){
$error = true;
$errort .= '<div class="err">Слишком короткое сообщение</div>';
}
if (!$error)
{
$q=mysql_query("SELECT `id` FROM `user` WHERE `id` != '$user->id' $filter");
$msg=html($msg);
while ($us = mysql_fetch_array($q))
{
mysql_query("INSERT INTO `system_notice` (`id_user`, `time`, `text`) values('$us[id]', '".time()."', '$msg')");
}

echo '<div class="err">Сообщения успешно отправлены</div>';

}



}
echo $errort;

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);

echo '<div class="post">Всего пользователей: <b>'.$count.'</b><br/>';
echo "<form method=\"post\" action=\"?\">\n";
echo "Сообщение:<br />\n<textarea name=\"msg\"> :-)</textarea><br />\n";
echo 'Кому: <select name="to">
<option value="">Всем</option>
<option value="mod">Модерам</option>
<option value="adm">Админам</option>
</select><br/>';
echo "<input value=\"Отправить\" name='save' type=\"submit\" />\n";
echo "</form></div>\n";

if ($user->position == 'admin')echo $div->div_menu.' » <a href="/admin">Админ управление</a></div>';

include_once '../../sys/foot.php';
?>